#define GOODS_QUANTITY  99 // boal

#define GOOD_BALLS	  0
#define GOOD_GRAPES       1
#define GOOD_KNIPPELS	  2
#define GOOD_BOMBS        3
// boal -->
#define GOOD_POWDER       4
#define GOOD_FOOD         5
#define GOOD_WEAPON	  6
#define GOOD_MEDICAMENT   7
#define GOOD_SAILCLOTH    8
#define GOOD_PLANKS       9
#define GOOD_LINEN	  10
#define GOOD_SILK	  11
#define GOOD_CLOTHES	  12
#define GOOD_COTTON	  13
#define GOOD_WOOL 	  14
#define GOOD_HEMP 	  25
#define GOOD_TEA  	  16
#define GOOD_COFFEE	  17
#define GOOD_CHOCOLATE	  18
#define GOOD_TOBACCO	  19
#define GOOD_SUGAR	  20
#define GOOD_WHEAT        21
#define GOOD_FLAX	  22
#define GOOD_MILLET	  23
#define GOOD_FISH 	  24

#define GOOD_VEGETABLES	  25
#define GOOD_FRUITS       26
#define GOOD_CINNAMON     27
#define GOOD_COPRA        28
#define GOOD_PAPRIKA      29
#define GOOD_GINGER	  30	
#define GOOD_NUTMEG	  31
#define GOOD_PEPPERCORN   32
#define GOOD_CHILIS       33
#define GOOD_BASIL	  34
#define GOOD_ALMONDS	  35
#define GOOD_WINE	  36
#define GOOD_RUM	  37
#define GOOD_ALE	  38
#define GOOD_GIN	  39
#define GOOD_BRANDY	  40
#define GOOD_MOLASES 	  41
#define GOOD_PAPER 	  42
#define GOOD_LEATHER	  43
#define GOOD_SALT 	  44
#define GOOD_OIL          45
#define GOOD_VINEGAR	  46
#define GOOD_PITCH 	  47
#define GOOD_SOAP	  48
#define GOOD_BRICK        49
#define GOOD_POTTERY 	  50
#define GOOD_DYES 	  51
#define GOOD_TOOLS 	  52
#define GOOD_IVORY	  53
#define GOOD_TIMBERS 	  54
#define GOOD_EBONY        55
#define GOOD_MAHOGANY 	  56
#define GOOD_SANDAL       57
#define GOOD_LIVESTOCK    58
//
#define GOOD_SLAVES       59
#define GOOD_GOLD         60
#define GOOD_SILVER	  61
#define GOOD_COPPER 	  62
#define GOOD_IRON 	  63
//   cannons ............
#define GOOD_CANNON_4       64
#define GOOD_CANNON_6       65
#define GOOD_CANNON_8       66
#define GOOD_CANNON_10      67
#define GOOD_CANNON_12      68
#define GOOD_CANNON_14      69
#define GOOD_CANNON_16      70
#define GOOD_CANNON_18      71
#define GOOD_CANNON_20      72
#define GOOD_CANNON_22      73
#define GOOD_CANNON_24      74
#define GOOD_CANNON_26      75
#define GOOD_CANNON_32      76
#define GOOD_CANNON_34      77
#define GOOD_CANNON_36      78
#define GOOD_CANNON_42      79
#define GOOD_CANNON_48      80
#define GOOD_CANNON_68      81
#define GOOD_CANNON_92      82

#define GOOD_CULVERINE_4    83
#define GOOD_CULVERINE_6    84
#define GOOD_CULVERINE_8    85
#define GOOD_CULVERINE_10   86
#define GOOD_CULVERINE_12   87
#define GOOD_CULVERINE_14   88
#define GOOD_CULVERINE_16   89
#define GOOD_CULVERINE_18   90
#define GOOD_CULVERINE_20   91
#define GOOD_CULVERINE_22   92
#define GOOD_CULVERINE_24   93
#define GOOD_CULVERINE_26   94
#define GOOD_CULVERINE_32   95
#define GOOD_CULVERINE_34   96 
#define GOOD_CULVERINE_36   97
#define GOOD_CULVERINE_42   98
// boal <--

object  Goods[GOODS_QUANTITY];

ref GetGoodByType(int iGoodType)
{
	return &Goods[iGoodType];
}

int FindGood(string sGood)
{
	for (int i=0; i<GOODS_QUANTITY; i++) { if (Goods[i].Name == sGood) return i; }
	return -1;
}

ref GetGoodByID(string sGood)
{
	for (int i=0; i<GOODS_QUANTITY; i++) { 
		if (Goods[i].Name == sGood) {return &Goods[i];}
	}
	trace("WARNING! Goods ID (" + sGood +") not found!");
}

int GetGoodWeightByType(int iGoodType,int quantity)
{
	int unitSize = sti(Goods[iGoodType].Units);
	int unitQuantity = (quantity+unitSize-1)/unitSize;
	int weight = makeint(unitQuantity*stf(Goods[iGoodType].Weight) + 0.05);
	return weight;
}

int GetGoodQuantityByWeight(int iGoodType,int weight)
{
	int unitSize = sti(Goods[iGoodType].Units);
	int uqnt = makeint( weight / stf(Goods[iGoodType].Weight) );
	return unitSize*uqnt;
}